none
Habilitar aplicación en Windows XP RRS feed

  • Pregunta

  • Saludos,

    Acabo de crear un software en Visual Studio 2017, sin embargo el mismo debe funcionar en un servidor con Windows XP. Al intentar iniciar la aplicación me genera el siguiente mensaje de error. Esto es al tratar de abrirla desde el archivo .exe de la carpeta bin.

    También me muestra este error al intentar instalar la aplicación desde el instalador generado por Visual Studio 2017.

    Alguna ayuda al respecto?

    martes, 15 de agosto de 2017 21:27

Respuestas

  • hola

    >>el mismo debe funcionar en un servidor con Windows XP

    un servidor con Win XP ? de verdad

    como puedes llamar servidor a una pc que ejecuta Win XP como sistema operativo

    >>Al intentar iniciar la aplicación me genera el siguiente mensaje de error.

    pero en esa pc esta instalado el .net framework con el cual desarrollaste la aplicacion que quieres ejecutar?

    recuerda que Win Xp tiene un limite en .net framework que puede instalar, si usaste VS 2017 puede que por defecto seelccionara una version que no es compatible

    Requisitos de sistema de .NET Framework

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    miércoles, 16 de agosto de 2017 1:39

Todas las respuestas

  • Buenas, 

    En visual studio,  cuando vas a propiedades del proyecto, con que framework estas compilando,  si usas vs 2017 y no lo has cambiado,  será la 4.5.2 mínimo,  y Windows XP solo admite hasta la 4, tendrás que cambiarlo desde ahí mismo, volver a compilar el proyecto y probar. 

    Atte


    No olvides votar si mi comentario te ha ayudado y marcarlo como respuesta si ha sido la solución!


    • Editado Jorge TurradoMVP martes, 15 de agosto de 2017 22:25
    • Propuesto como respuesta Marcelo PF martes, 15 de agosto de 2017 23:50
    martes, 15 de agosto de 2017 22:14
  • hola

    >>el mismo debe funcionar en un servidor con Windows XP

    un servidor con Win XP ? de verdad

    como puedes llamar servidor a una pc que ejecuta Win XP como sistema operativo

    >>Al intentar iniciar la aplicación me genera el siguiente mensaje de error.

    pero en esa pc esta instalado el .net framework con el cual desarrollaste la aplicacion que quieres ejecutar?

    recuerda que Win Xp tiene un limite en .net framework que puede instalar, si usaste VS 2017 puede que por defecto seelccionara una version que no es compatible

    Requisitos de sistema de .NET Framework

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    miércoles, 16 de agosto de 2017 1:39
  • Lo he configurado de esa forma tanto en el 4 como en el 3.5 y me sigue desplegando el mismo mensaje.
    jueves, 17 de agosto de 2017 15:01
  • Disculpas fue un error usar la palabra servidor :d

    Por otra parte, si tengo instalado el .net framework correspondiente. He compilado nuevamente mi aplicación bajo el .net framework 4 y también con el 3.5. Estoy teniendo el mismo resultado anterior.

    jueves, 17 de agosto de 2017 15:05